Zum Inhalt springen
Katalog

Versions of a battery model, newest effective date first

Scope: readSiehe auch:Authentifizierung ·Fehler ·Paginierung ·Ratenlimits
GET
/battery-models/{modelId}/versions

Any member. At most 200.

Autorisierung

apiKey
headerAutorisierungBearer <Token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Pfad-Parameter

modelId*string
Formatuuid

Antwort-Body

The versions.

application/json
  1. response
items*array<>
Elementeitems <= 200
Beispielanfrage
curl -X GET 'https://example.com/api/v1/battery-models/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions'
Beispielantwort
{  "items": [    {      "approved_at": "2019-08-24T14:15:22Z",      "approved_by_name": "string",      "battery_model_id": "6a002912-62a3-4058-99d0-53cbf87e9e1c",      "created_at": "2019-08-24T14:15:22Z",      "effective_from": "2019-08-24",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "registry_version": "string",      "row_version": 1,      "status": "draft",      "unit_count": 0,      "updated_at": "2019-08-24T14:15:22Z",      "version_label": "string"    }  ]}